export function flattenPatterns(hierarchies: string[], { patterns }: {
    patterns: string[];
}): string[];
export function flattenFix(hierarchy: boolean | undefined, { fix }: {
    fix: boolean;
}): boolean;
export function flattenLevel(hierarchy: Level, { level }: {
    level: Level;
}): Level;
export function flattenOptions(hierarchies: Record<string, unknown>[], { options }: {
    options: Record<string, unknown>;
}): Record<string, unknown>;
export function flattenReporter(hierarchy: NormalizedConfigReporter, { level }: {
    level: Level;
}): FlattenedConfigReporter;
export function flattenReporters(hierarchies: NormalizedConfigReporter[], { formatter, level }: {
    formatter: TypeofFormatter | undefined;
    level: Level;
}): FlattenedConfigReporter[];
export function flattenLinter(hierarchy: NormalizedConfigLinter, { fix, level, options }: {
    fix: boolean;
    level: Level;
    options: Record<string, unknown>;
}): FlattenedConfigLinter;
export function flattenLinters(hierarchies: NormalizedConfigLinter[], { fix, level }: {
    fix: boolean;
    level: Level;
}): FlattenedConfigLinter[];
export function flattenOverride(hierarchy: NormalizedConfigOverride, { fix, level }: {
    fix: boolean;
    level: Level;
}): FlattenedConfigOverride;
export function flattenChecker(hierarchy: NormalizedConfigChecker, { fix, level }: {
    fix: boolean;
    level: Level;
}): FlattenedConfigChecker;
export function flatten(hierarchy: NormalizedConfig, argv: {
    fix?: boolean | undefined;
    formatter?: TypeofFormatter | undefined;
    level?: Level | undefined;
}): FlattenedConfig;
export default flatten;
export type FlattenedConfig = import("../../types/configuration/flattened.d.ts").FlattenedConfig;
export type FlattenedConfigChecker = import("../../types/configuration/flattened.d.ts").FlattenedConfigChecker;
export type FlattenedConfigLinter = import("../../types/configuration/flattened.d.ts").FlattenedConfigLinter;
export type FlattenedConfigOverride = import("../../types/configuration/flattened.d.ts").FlattenedConfigOverride;
export type FlattenedConfigReporter = import("../../types/configuration/flattened.d.ts").FlattenedConfigReporter;
export type NormalizedConfig = import("../../types/configuration/normalized.d.ts").NormalizedConfig;
export type NormalizedConfigChecker = import("../../types/configuration/normalized.d.ts").NormalizedConfigChecker;
export type NormalizedConfigLinter = import("../../types/configuration/normalized.d.ts").NormalizedConfigLinter;
export type NormalizedConfigOverride = import("../../types/configuration/normalized.d.ts").NormalizedConfigOverride;
export type NormalizedConfigReporter = import("../../types/configuration/normalized.d.ts").NormalizedConfigReporter;
export type Level = import("../../types/level.d.ts").default;
export type TypeofFormatter = import("../../types/typeofformatter.js").default;
