/**
 * @typedef {import("node:stream").Writable} Writable
 * @typedef {import("../../types/level.d.ts").default} Level
 * @typedef {import("../../types/notice.d.ts").default} Notice
 */
/**
 * Le formateur qui écrit les résultats pour les Github Actions.
 *
 * @see https://docs.github.com/actions/using-workflows/workflow-commands-for-github-actions
 */
export default class GitHubFormatter extends Formatter {
    /**
     * Crée un formateur.
     *
     * @param {Level}    level            Le niveau de sévérité minimum des
     *                                    notifications affichées.
     * @param {Object}   options          Les options du formateur.
     * @param {Writable} [options.writer] Le flux où écrire les résultats.
     */
    constructor(level: Level, options: {
        writer?: Writable;
    });
    #private;
}
export type Writable = import("node:stream").Writable;
export type Level = import("../../types/level.d.ts").default;
export type Notice = import("../../types/notice.d.ts").default;
import Formatter from "./formatter.js";
