/**
 * Les résultats d'une analyse.
 */
export default class Results {
    /**
     * Crée des résultats pour des fichiers.
     *
     * @param {string[]} files Les noms des fichiers.
     */
    constructor(files: string[]);
    /**
     * Ajoute des notifications d'un fichier dans les résultats.
     *
     * @param {string}          file    Le nom du fichier.
     * @param {PartialNotice[]} notices Les notifications.
     */
    add(file: string, notices: PartialNotice[]): void;
    /**
     * Retourne les résultats en objet.
     *
     * @returns {Record<string, Notice[]|undefined>} Les résultats.
     */
    toObject(): Record<string, Notice[] | undefined>;
    #private;
}
export type Notice = import("../types/notice.d.ts").Notice;
export type PartialNotice = import("../types/notice.d.ts").PartialNotice;
