/**
 * @typedef {import("../../types/notice.d.ts").PartialNotice} PartialNotice
 * @typedef {import("../../types/level.d.ts").default} Level
 */
/**
 * L'enrobage du linter <strong>JavaScript Standard Style</strong>.
 *
 * @see https://www.npmjs.com/package/standard
 */
export default class StandardWrapper extends Wrapper {
    /**
     * Crée un enrobage pour le linter <strong>JavaScript Standard
     * Style</strong>.
     *
     * @param {Object}                  context       Le contexte de l'enrobage.
     * @param {Level}                   context.level Le niveau de sévérité
     *                                                minimum des notifications
     *                                                retournées.
     * @param {boolean}                 context.fix   La marque indiquant s'il
     *                                                faut corriger le fichier.
     * @param {string}                  context.root  L'adresse du répertoire où
     *                                                se trouve le répertoire
     *                                                <code>.metalint/</code>.
     * @param {string[]}                context.files La liste de tous les
     *                                                fichiers analysés.
     * @param {Record<string, unknown>} _options      Les non-options du linter.
     */
    constructor(context: {
        level: Level;
        fix: boolean;
        root: string;
        files: string[];
    }, _options: Record<string, unknown>);
}
export type PartialNotice = import("../../types/notice.d.ts").PartialNotice;
export type Level = import("../../types/level.d.ts").default;
import Wrapper from "./wrapper.js";
